<xml></xml>

Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

Berkeley DB .NET API Documentation
DatabaseEnvironmentConfig..::.UseEnvironmentVars Field
DatabaseEnvironmentConfig Class See Also Send Feedback

If true, the Berkeley DB process' environment may be permitted to specify information to be used when naming files.

Namespace: BerkeleyDB
Assembly: libdb_dotnet181 (in libdb_dotnet181.dll) Version: 18.1.32.0

# Syntax

C#

    public bool UseEnvironmentVars

Visual Basic (Declaration)

    Public UseEnvironmentVars As Boolean

Visual C++

    public:
    bool UseEnvironmentVars

# Remarks

See Berkeley DB File Naming in the Programmer's Reference Guide for more information.

Because permitting users to specify which files are used can create security problems, environment information is used in file naming for all users only if UseEnvironmentVars is true.

# See Also

DatabaseEnvironmentConfig Class
BerkeleyDB Namespace